import { A as CallApiExtraOptions, o as CallApiResultErrorVariant, m as PossibleHTTPError, H as HTTPError } from '../common-C3q7szew.js';

type ToQueryStringFn = {
    (params: CallApiExtraOptions["query"]): string | null;
    (params: Required<CallApiExtraOptions>["query"]): string;
};
declare const toQueryString: ToQueryStringFn;

declare const isHTTPError: <TErrorData>(error: CallApiResultErrorVariant<TErrorData>["error"] | null) => error is PossibleHTTPError<TErrorData>;
declare const isHTTPErrorInstance: <TErrorData>(error: unknown) => error is HTTPError<TErrorData>;

export { isHTTPError, isHTTPErrorInstance, toQueryString };
